<?php

function numberEnd($number, $titles) {
	$cases = array (2, 0, 1, 1, 1, 2);
   	return $titles[ ($number%100>4 && $number%100<20)? 2 : $cases[min($number%10, 5)] ];
}

$CSS_PATH = "css/themes/blue/";

ob_start();
header( 'Content-Type: text/html; charset=utf-8');

?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>Мейлер</title>

        <link rel="stylesheet" href="css/screen.css" type="text/css" media="screen, projection">
        <link rel="stylesheet" href="css/print.css" type="text/css" media="print">
        <!--[if lt IE 8]><link rel="stylesheet" href="css/ie.css" type="text/css" media="screen, projection"><![endif]-->

        <link rel="stylesheet" href="<?php echo $CSS_PATH?>jquery.ui.core.css" type="text/css" media="screen, projection">
        <link rel="stylesheet" href="<?php echo $CSS_PATH; ?>jquery.ui.button.css" type="text/css" media="screen, projection">
        <link rel="stylesheet" href="<?php echo $CSS_PATH; ?>jquery.ui.theme.css" type="text/css" media="screen, projection">
        <link rel="stylesheet" href="<?php echo $CSS_PATH; ?>jquery.ui.dialog.css" type="text/css" media="screen, projection">

        <link rel="stylesheet" href="css/my.css" type="text/css" media="screen, projection">
        <script type="text/javascript">
            function _( form, number) {
                form = form.split('|')
                return form.splice(0,1)+ form[ (number%100>4 && number%100<20)? 2 : [2, 0, 1, 1, 1, 2][Math.min( number%10, 5) ] ];
            }
            //_("игр-а-ы-", 121);
        </script>
    </head>
    <body>
        <div class="container">

            <div class="span-24 last">
                <h1>Пример (работает) проверочка</h1>
                <p><a href="#" id="dialog-form-run">моедль формы в лейауте</a></p>
                <hr>
            </div>

            <div class="span-12 feedback f2">

                <form id="dummy" action="" method="post">

                    <fieldset>
                        <legend>Обратная связь</legend>
                        <p>
                            Ниже требуется ввести требуемые данные для оформления Ваших требований в соответствии.
                        </p>
                        <p>
                            <label for="fullname">Как Вас называть:</label><br>
                            <input tabindex="1" type="text" class="title" name="fullname" id="fullname" value="">
                        </p>

                        <p>
                            <label for="email">Ваш е-мейл адресс:</label><br>
                            <input tabindex="2" type="text" class="title" name="email" id="email" value="">
                        </p>
                        <p>
                            <label for="phone">Номер телефона:</label><br>
                            <input tabindex="2" type="text" class="title" name="phone" id="phone" value="">
                        </p>

                        <p>
                            <label for="message">То, что Вы хотите сообщить:</label><br>
                            <textarea tabindex="3" class="title" name="message" id="message" rows="5" cols="20">Я вас обожаю )) </textarea>
                        </p>


                        <p>
                            <input tabindex="4" type="submit" value="Отправить">

                            <input tabindex="5" type="reset" value="Очистить">
                        </p>

                    </fieldset>
                </form>

            </div>

        </div>

        <div id="dialog-form" title="title">
            <form action="">
                <fieldset>
                    <legend>Обратная связь</legend>
                    <ul>
                        <li>
                            <label for="fullname2">Имя</label><br><input name="fullname2" type="text" />
                        </li>
                        <li>
                            <label for="email2">Электронная почта</label><br><input name="email2" type="text" />
                        </li>
                        <li>
                            <label for="message2">Сообщение</label><br>
                            <textarea name="message2"  rows="3" cols="10">Я снова вас обожаю )) </textarea>
                        </li>
                    
                    </ul>
                </fieldset>
            </form>

        </div>

        <script type="text/javascript" src="js/jquery-1.5.1.js"></script>
        <script type="text/javascript" src="js/jquery.ui.core.js"></script>
        <script type="text/javascript" src="js/jquery.ui.widget.js"></script>
        <script type="text/javascript" src="js/jquery.ui.button.js"></script>
        <script type="text/javascript" src="js/jquery.ui.position.js"></script>
        <script type="text/javascript" src="js/jquery.ui.dialog.js"></script>
        <script type="text/javascript" src="js/jquery.validate.js"></script>
        <script type="text/javascript" src="js/jquery.maskedinput-1.2.2.js"></script>

        <script type="text/javascript" >
            $(function() {
                $( "input:submit, input:reset", ".feedback" ).button();

                $( "#dialog-form" ).dialog({
                    autoOpen: false,
                    height: 380,
                    width: 350,
                    modal: true,
                    titlebar: false,
                    buttons: {
                        "Отправить" : function (){ $( this ).dialog( "close" ); },
                        "Отменить"  : function (){ $( this ).dialog( "close" ); }
                    }
                });

                $( "#dialog-form-run" ).click(function(){
                    $( "#dialog-form" ).dialog( "open" )
                    return false;
                });
                $('#dummy').validate({

                    onkeyup: false,
                    onblur: false,
                    errorElement: 'div',
                    rules: {
                        fullname: {
                            required: true,
                            minlength: 2
                        },
                        email: {
                            required: true,
                            minlength: 10,
                            email : true
                        },
                        phone:{
                            required: true,
                            minlength: 10

                        },
                        message: {
                            required: true,
                            minlength: 10
                        }
                    },
                    messages: {
                        fullname: {
                            required: "Введите Ваше имя.",
                            minlength: function(n){
                                //console.info(this)
                                return "Введите имя, длиной больше "
                                    + _(n+'-|ой|х|и',n) + _(" букв|ы||",n)+".";
                            }
                        },
                        email: {
                            required: "Введите Ваш е-мейл.",
                            minlength: function(n){
                                return "Введите е-мейл, не короче чем  "
                                    + n + _(" букв|а|ы|",n)+".";
                            },
                            email : "Введите настоящий е-мейл"
                        },
                        phone:{
                            required: "Введите Ваш телефон",
                            minlength: function(n){
                                 return "Номер телефона не может быть короче "
                                   + _(n+'-|ой|х|и',n) + _(" букв|ы||",n)+".";
                            }

                        },
                        message: {
                            required: "Введите Ваше сообщение.",
                            minlength: function(n){
                                 return "Введите сообщение, не короче чем  "
                                    + n + _(" букв|а|ы|",n)+".";
                            }

                        }
                    }

                });


                $('#phone').mask('(999) 999-9999');
            });
        </script>
    </body>
</html>

<?php
ob_flush();